Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0041289
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2019-07-04 18:252019-08-22 14:44
ReportershuehnerView Statuspublic 
Assigned Toalostale 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revisionf7c0469187c6
ProjectionnoneETAnoneTarget Version3.0PR19Q4
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tojarmendariz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0041289: TreeUtility is not using bind-params

Description2 functions in here are not using bind-params:
- getChildrenOfTreeNode
- getTreeIdsFromTreeType

Apart those files should be converted to new HQL style.
i.e. not using Tree.class.getName & TreeNode.class.getName


Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0041287 acknowledgedplatform Tracking issue: Convert HQL to apply new style 
blocks design defect 0038136 acknowledgedplatform Tracking issue: Find & Fix queries not using bind-params but embedding values into query string 

-  Notes
(0113234)
hgbot (developer)
2019-07-09 10:02

Repository: erp/devel/pi
Changeset: f207d62641804306b24c387171c8601f219c7db2
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Tue Jul 09 09:53:59 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/f207d62641804306b24c387171c8601f219c7db2 [^]

related to issue 41289, related to issue 41287: TreeUtility HQL style

---
M src/org/openbravo/erpCommon/utility/TreeUtility.java
---
(0113236)
hgbot (developer)
2019-07-09 10:02

Repository: erp/devel/pi
Changeset: f7c0469187c605f24093ad1843ce65589fe7d293
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Tue Jul 09 10:01:57 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/f7c0469187c605f24093ad1843ce65589fe7d293 [^]

fixed bug 41289: TreeUtility is not using bind-params

---
M src/org/openbravo/erpCommon/utility/TreeUtility.java
---
(0113717)
jarmendariz (developer)
2019-07-30 16:59

Reviewed
(0114140)
hudsonbot (developer)
2019-08-22 14:44

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ad3efd3bd07c [^]
Maturity status: Test
(0114142)
hudsonbot (developer)
2019-08-22 14:44

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ad3efd3bd07c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-07-04 18:25 shuehner New Issue
2019-07-04 18:25 shuehner Assigned To => platform
2019-07-04 18:25 shuehner Modules => Core
2019-07-04 18:25 shuehner Triggers an Emergency Pack => No
2019-07-04 18:25 shuehner Relationship added blocks 0038136
2019-07-09 10:02 alostale Assigned To platform => alostale
2019-07-09 10:02 alostale Review Assigned To => jarmendariz
2019-07-09 10:02 hgbot Checkin
2019-07-09 10:02 hgbot Note Added: 0113234
2019-07-09 10:02 hgbot Checkin
2019-07-09 10:02 hgbot Note Added: 0113236
2019-07-09 10:02 hgbot Status new => resolved
2019-07-09 10:02 hgbot Resolution open => fixed
2019-07-09 10:02 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/f7c0469187c605f24093ad1843ce65589fe7d293 [^]
2019-07-09 10:03 alostale Relationship added related to 0041287
2019-07-30 16:59 jarmendariz Note Added: 0113717
2019-07-30 16:59 jarmendariz Status resolved => closed
2019-08-22 14:44 hudsonbot Checkin
2019-08-22 14:44 hudsonbot Note Added: 0114140
2019-08-22 14:44 hudsonbot Checkin
2019-08-22 14:44 hudsonbot Note Added: 0114142


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker